geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tim McConnell <tim.mcco...@gmail.com>
Subject Re: windows build failure
Date Thu, 22 Feb 2007 07:20:14 GMT
Hi Rakesh, could this be the infamous windows path length problem ?? Have you 
tried changing your root directory to something like C:\g instead of what you're 
using now (C:\geronimo\Copy of build0215) ??

Thanks,
Tim McConnell


Rakesh Midha wrote:
> Hello
> 
> At last I am able to reproduce it, I am hitting this error at at corba 
> builder (geronimo-corba-builder)
> 
> Here is the relevant log
> ------------------------------------------------------------------------------------------------------------------------------------------------

> 
> ------------------------------------------------------------------------------------------------------------------------------------------------
> [INFO] 
> -------------------------------------------------------------------------
> ---
> [INFO] Building Geronimo :: CORBA :: Builder
> [INFO]    task-segment: [install]
> [INFO] 
> -------------------------------------------------------------------------
> ---
> [INFO] [tools:require-java-version {execution: validate-java-version}]
> [WARNING] POM for 
> 'org.apache.geronimo.specs:geronimo-jms_1.1_spec:pom:1.0.1:com
> pile' is invalid. It will be ignored for artifact resolution. Reason: 
> Failed to
> validate POM
> [WARNING] POM for 
> 'org.apache.geronimo.specs:geronimo-j2ee-connector_1.5_spec:po
> m:1.0.1:compile' is invalid. It will be ignored for artifact resolution. 
> Reason:
>  Failed to validate POM
> [WARNING] POM for 
> 'org.apache.geronimo.specs:geronimo-ejb_2.1_spec:pom:1.0.1:com
> pile' is invalid. It will be ignored for artifact resolution. Reason: 
> Failed to
> validate POM
> [INFO] [xmlbeans:xmlbeans {execution: default}]
> Time to build schema type system: 0.2 seconds
> Time to generate code: 0.952 seconds
> error: error reading C:\Documents and 
> Settings\libadmin\.m2\repository\org\apach
> e\openejb\container\3.0-incubating-SNAPSHOT\container-3.0-incubating-SNAPSHOT.po
> m; java.util.zip.ZipException: error in opening zip file
> Note: * uses or overrides a deprecated API.
> Note: Recompile with -Xlint:deprecation for details.
> 1 error
> 
> BUILD FAILED
> [INFO] 
> ------------------------------------------------------------------------
> [ERROR] BUILD ERROR
> [INFO] 
> ------------------------------------------------------------------------
> [INFO] XmlBeans compile failed:
>  xml ErrorLoading schema file C:\geronimo\Copy of 
> build0215\modules\geronimo-cor
> ba-builder\src\main\schema\corba-css-config-2.1.xsd
> xml ErrorLoading schema file C:\geronimo\Copy of 
> build0215\modules\geronimo-corb
> a-builder\src\main\schema\corba-tss-config-2.1.xsd
> xml ErrorLoading config file C:\geronimo\Copy of 
> build0215\modules\geronimo-corb
> a-builder\src\main\schema\xmlconfig.xml
> ------------------------------------------------------------------------------------------------------------------------------------------------

> 
> ------------------------------------------------------------------------------------------------------------------------------------------------
> 
> BTW I am using Win-XP and Maven 2.0.5
> 
> Thanks
> Rakesh
> 
> On 2/16/07, *Kevan Miller* <kevan.miller@gmail.com 
> <mailto:kevan.miller@gmail.com>> wrote:
> 
> 
>     On Feb 16, 2007, at 4:44 AM, Rakesh Midha wrote:
> 
>      > Hello Kevan
>      >
>      > I think you said that this error is fixed after you committed the
>      > changes in trunk. I am working on trunk I checkout yesterday (rev
>      > 507910). and with my bad luck I am facing the same exception even
>     now.
>      >
>      > Removing
>      >     <dependency>
>      >       <groupId>org.apache.openejb</groupId>
>      >       <artifactId>container</artifactId>
>      >       <version>${version}</version>
>      >       <type>pom</type>
>      >       <scope>compile</scope>
>      >     </dependency>
>      > from server-3.0-incubation-SNAPSHOT.pom solves the problem.
>      >
>      > Am I missing something here.
> 
>     Strange. I don't see anything that would have unfixed my hack...
> 
>     Hmm. Maybe it needs to be excluded in a different module/config.
>     Where are you hitting this error? Maybe corba enablement (or another
>     change is hitting the same basic issue...).
> 
>     Anybody else seeing this?
> 
>     --kevan
> 
> 
> 
> 

Mime
View raw message